Subject: bug#37007: Problem with the menu-bars in mode "org" and "auctex"

From: Anders Rydvall <[email-masked]>
Date: Wed, 14 Aug 2019 13:34:21 +0200

Martin!

The "Help" menu is OK in all modi.

GTK version is 3.22.30(about-emacs.png)

There is no message in the console when starting emacs from terminal and 
no difference in behavior.

Today I noted very odd behavior. Suddenly i got all the menus in 
org-mode(org-mode.png). When opening a .tex file there was opened most 
of the menus but "command" is obviously inherited from 
org-mode(latex1.png)! and "math"and "ref" were still absent(latex2.png). 
I hope this will give a clue to the solution!

Den 2019-08-14 kl. 11:19, skrev martin rudalics:
> > In dired "operate, "Mark", "regexp", "immediate", "subdir" give the
> > same black bar and absent submenus. The other submenus come down as
> > expected.
>
> The "Help" menu as well?
>
> > GTK seems to be 3.22.30. Attached is a print-screen from synaptic 
> package manager.
>
> To make sure: What does clicking on About Emacs in the Help menu tell
> about the version used for building Emacs?
>
> > Thanks for engaging in the problem. Have you been able to reproduce it?
>
> No.  But I'm with GTK 3.22.11 which suffers from what is cited in
> etc/PROBLEMS as
>
> *** Emacs built with GTK+ toolkit can unexpectedly widen frames
>
> Maybe GTK changed their behavior that instead of auto-widening the
> window they now black out the menus.  When you start Emacs from the
> console or a text terminal do you see something like the
>
> Gtk-CRITICAL **: gtk_distribute_natural_allocation: assertion 
> 'extra_space >= 0' failed
>
> mentioned in that entry?
>
> Also, please keep <[email-masked]> in the list of recipients so
> that others see your answers as well (using Reply To All in your MUA
> should suffice).
>
> Thanks, martin